X2Go Bug report logs - #882
--pgp-card does absolutely nothing?

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>

Date: Thu, 28 May 2015 10:35:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.4.1-0~1045~ubuntu14.04.1

Fixed in version 4.0.4.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#882; Package x2goclient. (Thu, 28 May 2015 10:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 28 May 2015 10:35:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>
To: submit@bugs.x2go.org
Subject: --pgp-card does absolutely nothing?
Date: Thu, 28 May 2015 11:58:10 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.4.1-0~1045~ubuntu14.04.1

Environment: Ubuntu 14.04 ThinClient with x2gothinclientd

x2goclient is started with --pgp-card

Inserting the smardcard does nothing. No entries in --debug, no activity
in strace of the x2goclient process. And no pinentry is spawned.

No gpg-agent daemon/binary is started if that should be the case.


Manually starting a gpg-agent with: 'gpg-agent --enable-ssh-support
--daemon --pinentry-program /usr/bin/pinentry-x2go' as 'x2gothinclient'
user and connecting to the x2go server with ssh does work without any
hassle. The pinentry shows up on the X-display and after typing in the
pin(with the OSD - the keyboard seems not to work withing this gtk
window?) the ssh connection gets established.



Kind regards

 Florian Wicke

Hetzner Online AG
Industriestr. 25
91710 Gunzenhausen / Germany
Tel: +49 9831 505-187
Fax: +49 9831 505-387
florian.wicke@hetzner.de
www.hetzner.com

Register Court: Registergericht Ansbach, HRB 3204
Management Board: Dipl. Ing. (FH) Martin Hetzner
Chairwoman of the Supervisory Board: Diana Rothhan

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#882; Package x2goclient. (Thu, 28 May 2015 15:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 28 May 2015 15:10:02 GMT) (full text, mbox, link).


Message #10 received at 882@bugs.x2go.org (full text, mbox, reply):

From: Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>
To: 882@bugs.x2go.org
Subject: problem solved - missing binary in PATH
Date: Thu, 28 May 2015 17:09:06 +0200
[Message part 1 (text/plain, inline)]
Hello,

thanks to Ionic we found the problem - ubuntu and debian jessie moved
the scdaemon-binary from /usr/bin/scdaemon to /usr/lib/gnupg2/scdaemon
and because that path is not in the PATH of the user x2goclient was
unable to run the scdaemon at startup.

Adding the path to PATH or symlinking the binary to a PATH folder will
result in the expected behaviour



Kind regards

 Florian Wicke

Hetzner Online AG
Industriestr. 25
91710 Gunzenhausen / Germany
Tel: +49 9831 505-187
Fax: +49 9831 505-387
florian.wicke@hetzner.de
www.hetzner.com

Register Court: Registergericht Ansbach, HRB 3204
Management Board: Dipl. Ing. (FH) Martin Hetzner
Chairwoman of the Supervisory Board: Diana Rothhan

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#882; Package x2goclient. (Thu, 28 May 2015 17:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 28 May 2015 17:05:01 GMT) (full text, mbox, link).


Message #15 received at 882@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>, 882@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#882: problem solved - missing binary in PATH
Date: Thu, 28 May 2015 17:02:14 +0000
[Message part 1 (text/plain, inline)]
Hi,

On  Do 28 Mai 2015 17:09:06 CEST, Florian Wicke - Hetzner Online AG wrote:

> thanks to Ionic we found the problem - ubuntu and debian jessie moved
> the scdaemon-binary from /usr/bin/scdaemon to /usr/lib/gnupg2/scdaemon
> and because that path is not in the PATH of the user x2goclient was
> unable to run the scdaemon at startup.
>
> Adding the path to PATH or symlinking the binary to a PATH folder will
> result in the expected behaviour

This issue should not be closed, because the smartcard code in X2Go  
should handle both variants (scdaemon in $PATH or at a non-$PATH  
location) gracefully.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#882; Package x2goclient. (Fri, 29 May 2015 01:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 29 May 2015 01:25:02 GMT) (full text, mbox, link).


Message #20 received at 882@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 882@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#882: Bug#882: problem solved - missing binary in PATH
Date: Fri, 29 May 2015 03:22:38 +0200
[Message part 1 (text/plain, inline)]
On 28.05.2015 07:02 PM, Mike Gabriel wrote:
> This issue should not be closed, because the smartcard code in X2Go  
> should handle both variants (scdaemon in $PATH or at a non-$PATH  
> location) gracefully.

We (Florian and me) both agree. I'm currently working on a proper fix in X2Go
Client, but he's happy to workaround the issue for now and left the "real fix"
to me.



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#882; Package x2goclient. (Wed, 03 Jun 2015 01:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 03 Jun 2015 01:15:01 GMT) (full text, mbox, link).


Message #25 received at 882@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 882-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 882@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 3 Jun 2015 03:11:34 +0200 (CEST)
tag #882 pending
fixed #882 4.0.4.1
thanks

Hello,

X2Go issue #882 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=90d6b8b

The issue will most likely be fixed in src:x2goclient (4.0.4.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 90d6b8b7cecec02b2a0e0f81ed650ca1bf39862f
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Wed Jun 3 01:36:32 2015 +0200

    onmainwindow.cpp: manipulate PATH and append /usr/lib/gnupg2/ to it when starting scdaemon. Fixes: #882.

diff --git a/debian/changelog b/debian/changelog
index 2399c15..bb4045a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -16,6 +16,8 @@ x2goclient (4.0.4.1-0x2go1) UNRELEASED; urgency=low
       for show_RichText_Generic_MsgBox() with a critical icon.
     - onmainwindow.{cpp,h}: properly handle scdaemon errors with a message box
       and close the client.
+    - onmainwindow.cpp: manipulate PATH and append /usr/lib/gnupg2/ to it when
+      starting scdaemon. Fixes: #882.
 
  -- X2Go Release Manager <git-admin@x2go.org>  Tue, 26 May 2015 21:42:09 +0200
 


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 03 Jun 2015 01:15:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.4.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 03 Jun 2015 01:15:02 GMT) (full text, mbox, link).


Message sent on to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
Bug#882. (Wed, 03 Jun 2015 01:15:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#882; Package x2goclient. (Tue, 09 Jun 2015 16:55:01 GMT) (full text, mbox, link).


Acknowledgement sent to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 09 Jun 2015 16:55:01 GMT) (full text, mbox, link).


Message #37 received at 882@bugs.x2go.org (full text, mbox, reply):

From: Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>
To: 882@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#882: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Tue, 09 Jun 2015 18:51:32 +0200
[Message part 1 (text/plain, inline)]
Unfortunately the fix made it worse in regards of behaviour:

With the latest nightly x2goclient i get the error message "scdaemon
started but crashed" all the time with no smartcard present.

Manually invoking scdaemon with "--multi-server" works just fine

Looks like you handle the "soft-error" below of scdaemon as critical error:
"scdaemon[10084]: PC/SC OPEN failed: no service (0x8010001d)

And thus, exiting the x2goclient if no smartcard is present



Expected behaviour: as before - let the client wait for smartcards to be
plugged in/become available without terminating the client.






Kind regards

 Florian Wicke

Hetzner Online AG
Industriestr. 25
91710 Gunzenhausen / Germany
Tel: +49 9831 505-187
Fax: +49 9831 505-387
florian.wicke@hetzner.de
www.hetzner.com

Register Court: Registergericht Ansbach, HRB 3204
Management Board: Dipl. Ing. (FH) Martin Hetzner
Chairwoman of the Supervisory Board: Diana Rothhan

Am 03.06.2015 um 03:11 schrieb Mihai Moldovan:
> tag #882 pending
> fixed #882 4.0.4.1
> thanks
> 
> Hello,
> 
> X2Go issue #882 (src:x2goclient) reported by you has been
> fixed in X2Go Git. You can see the changelog below, and you can
> check the diff of the fix at:
> 
>     http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=90d6b8b
> 
> The issue will most likely be fixed in src:x2goclient (4.0.4.1).
> 
> light+love
> X2Go Git Admin (on behalf of the sender of this mail)
> 
> ---
> commit 90d6b8b7cecec02b2a0e0f81ed650ca1bf39862f
> Author: Mihai Moldovan <ionic@ionic.de>
> Date:   Wed Jun 3 01:36:32 2015 +0200
> 
>     onmainwindow.cpp: manipulate PATH and append /usr/lib/gnupg2/ to it when starting scdaemon. Fixes: #882.
> 
> diff --git a/debian/changelog b/debian/changelog
> index 2399c15..bb4045a 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -16,6 +16,8 @@ x2goclient (4.0.4.1-0x2go1) UNRELEASED; urgency=low
>        for show_RichText_Generic_MsgBox() with a critical icon.
>      - onmainwindow.{cpp,h}: properly handle scdaemon errors with a message box
>        and close the client.
> +    - onmainwindow.cpp: manipulate PATH and append /usr/lib/gnupg2/ to it when
> +      starting scdaemon. Fixes: #882.
>  
>   -- X2Go Release Manager <git-admin@x2go.org>  Tue, 26 May 2015 21:42:09 +0200
>  
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> http://lists.x2go.org/listinfo/x2go-dev
> 

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#882; Package x2goclient. (Wed, 10 Jun 2015 13:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 10 Jun 2015 13:15:02 GMT) (full text, mbox, link).


Message #42 received at 882@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>, 882@bugs.x2go.org
Subject: Re: [X2Go-Dev] X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 10 Jun 2015 15:14:02 +0200
[Message part 1 (text/plain, inline)]
On 09.06.2015 06:51 PM, Florian Wicke - Hetzner Online AG wrote:
> Unfortunately the fix made it worse in regards of behaviour:
> 
> With the latest nightly x2goclient i get the error message "scdaemon
> started but crashed" all the time with no smartcard present.
> 
> Manually invoking scdaemon with "--multi-server" works just fine
> 
> Looks like you handle the "soft-error" below of scdaemon as critical error:
> "scdaemon[10084]: PC/SC OPEN failed: no service (0x8010001d)
> 
> And thus, exiting the x2goclient if no smartcard is present
> 
> 
> 
> Expected behaviour: as before - let the client wait for smartcards to be
> plugged in/become available without terminating the client.


The latest commit (binary builds running and will be published in a few hours)
should fix this new issue.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#882; Package x2goclient. (Tue, 28 Jul 2015 02:55:03 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 28 Jul 2015 02:55:04 GMT) (full text, mbox, link).


Message #47 received at 882@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 882-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 882@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Tue, 28 Jul 2015 04:50:04 +0200 (CEST)
close #882
thanks

Hello,

we are very hopeful that X2Go issue #882 reported by you
has been resolved in the new release (4.0.5.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.5.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=4caef96a30c62c24a2077fd003e0a5f238885b17;hp=301b58ced7f1591476af7a50d2c759deea9895d1

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.5.0-0x2go1
Status: RELEASE
Date: Tue, 28 Jul 2015 04:48:20 +0200
Fixes: 696 882 901 909 911
Changes: 
 x2goclient (4.0.5.0-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream release (4.0.5.0):
     - INSTALL: add more verbose instructions on how to build X2Go Client and
       friends.
     - onmainwindow.{cpp,h}: rename slotScDaemonOut() and slotScDaemonError()
       to slotScDaemonStdOut() and slotScDaemonStdErr(). I will need
       slotScDaemonError() later and the previous names were a bit of a
       misnomer.
     - x2goutils.{cpp,h}: add new show_RichText_Generic_MsgBox() main function
       designed to replace the show_RichText_WarningMsgBox() function.
     - x2goutils.{cpp,h}: make show_RichText_WarningMsgBox() use
       show_RichText_Generic_MsgBox ().
     - x2goutils.{cpp,h}: new show_RichText_ErrorMsgBox() function as a wrapper
       for show_RichText_Generic_MsgBox() with a critical icon.
     - onmainwindow.{cpp,h}: properly handle scdaemon errors with a message box
       and close the client.
     - onmainwindow.cpp: manipulate PATH and append /usr/lib/gnupg2/ to it when
       starting scdaemon. Fixes: #882.
     - x2goutils.h: add QMessageBox include, fixed compile error.
     - onmainwindow.cpp: fix typos leading to compile errors.
     - onmainwindow.cpp: add blocks to switch cases to fix a compile error.
       Also correctly append to informative_text on one occasion, instead of
       overwriting it.
     - x2goutils.cpp: correct typo to fix compile errors.
     - onmainwindow.cpp: drop a redundant variable and fix empty env check.
     - onmainwindow.cpp: add more newlines to scdaemon error output. Use
       trayQuit() method to really quit the client.
     - onmainwindow.cpp: add debugging output for new scdaemon PATH value.
     - onmainwindow.cpp: split up PATH value as printed in the error message
       box by a newline every 100 characters. Makes it look less ugly and fixes
       truncation issues.
     - sshprocess.cpp: export PATH variable when running commands. Otherwise,
       only the first one will respect the new PATH value.
     - sshprocess.cpp: wrap SSH command prelude and conclusion in double
       quotes.
     - sshprocess.cpp: wrap all remote commands with "bash" instead of the
       unspecific "sh".
     - onmainwindow.cpp: try to escape shell quotes correctly when using
       Kerberos/GSSApi when running the xmodmap keyboard sync command on OS X.
     - onmainwindow.cpp: also escape other shell quotes when using
       Kerberos/GSSApi.
     - onmainwindow.cpp: silence compiler warning by casting an int value to
       std::size_t.
     - onmainwindow.cpp: silence another compiler warning by not converting
       from string to int and back to string needlessly. Just use the string.
       No need for an OS X-specific variable anymore.
     - onmainwindow.cpp: fix compile error - use QString.toAscii () to get a
       valid C string representation for tr ().
     - onmainwindow.cpp: don't terminate if scdaemon exited with non-zero exit
       code.
     - sshprocess.cpp: don't use QProcess::start (QString). Qt is trying to be
       too smart and causes big trouble. Instead, use QProcess::start (QString,
       QStringList) and pass the arguments as a list. On Windows, Qt will
       automatically double quote the arguments and duplicate escaped double
       quotes or escape non-escaped double quotes. On UNIX-like platforms, each
       element of the list is passed as a unique argv element, so there's no
       need for quoting them (that's only a shell-internal thing to group
       arguments.)
     - sshprocess.cpp: add a bit more debugging - also print out the unmodified
       raw output of SSH commands.
     - onmainwindow.cpp: remove now-bogus double quote escaping.
     - sshmasterconnection.cpp: port QProcess::start () change.
     - sshprocess.cpp: whitespace/prettify only and a compile fix.
     - x2goclient.pro: reinstate old lrelease "search" behavior if
       qtPrepareTool() is not available. This should only happen on EPEL 6,
       which ships a broken Qt4 version...
     - onmainwindow.cpp: only set multidisplay mode for non-rootless sessions.
     - {ui/xsettingsui.ui,xsettingswidget.cpp}: add new "whole display" option
       for external X server configuration. Part of #883.
     - onmainwindow.cpp: rename "optionsmd" setting to "optionswholedisplay",
       which is more clear.
     - xsettingswidget.cpp: fix compile error: settings -> setting.
     - sessionmanagedialog.cpp: enable some debugging and make selected
       sessions configureable or deletable. Fixes: #909.
 .
   [ Mike Gabriel ]
   * debian/control:
     + Add alternative D for nxproxy: qvd-nxproxy. Allows parallel installation
       of X2Go Client and the TheQVD client (perl-qvd-client).
 .
   [ Mike DePaulo ]
     - Windows: Update bundled Win32 OpenSSL from 1.0.1m to 1.0.1p,
       which fixes the multiple CVEs announced on 2015-06-11 and
       CVE-2015-1793 (announced on 2015-07-09).
     - Windows: Upgrade the MSVC 2008 DLLs (9.0.21022.8) to the
       MSVC 2013 DLLs (12.0.21005.1), which Win32 OpenSSL now requires.
     - Windows: Only bundle msvcr120.dll; The other 2 MSVC DLLs aren't
       needed by Win32 OpenSSL.
     - Windows: Update bundled Cygwin OpenSSL from 1.0.2a-1 to 1.0.2d-1, which
       which fixes the multiple CVEs announced on 2015-06-11 and
       CVE-2015-1793 (announced on 2015-07-09).
     - Windows: Update bundled VcXsrv from 1.17.0.0-1 (X2Go/Arctica Build)
       to 1.17.0.0-3 (X2Go/Arctica Build)
       The differences relevant to X2Go are:
         + VcXsrv's bundled version of openssl was updated from 1.0.2a
           to 1.0.2d (fixes the multiple CVEs announced on 2015-06-11 and
           CVE-2015-1793 (announced on 2015-07-09).
         + Drop winmultiwindow.patch (Part of #883)
         + hw/xwin/glx: Don't create fbConfigs for un-accelerated
           pixelFormats
           This has the effect of disabling StaticColor under
           MultiWindow mode with -wgl (default) and -swrastwgl, and
           thus making X2Go sessions started from the Windows client
           able to be resumed on the client on a different OS or the
           client runing on Windows with different display settings.
           (Fixes: #696)
     - Linux: Fix desktop session icons (.desktop files) failing due to
       missing space between "x2goclient" and its 1st argument
       (e.g. "--session") (Fixes: #911)
 .
   [ Henning Heinold ]
   * New upstream release (4.0.5.0):
     - x2goclient.pro: simplify lrelease path preparing for different OS and
       cross compiling. Fixes: #901.
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.5.0):
     - onmainwindow.{cpp,h}: fix multimonitor mode on Windows. Run VcXsrv on
       selected screen without decorations.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Tue, 28 Jul 2015 02:55:12 GMT) (full text, mbox, link).


Notification sent to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
Bug acknowledged by developer. (Tue, 28 Jul 2015 02:55:12 GMT) (full text, mbox, link).


Message sent on to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
Bug#882. (Tue, 28 Jul 2015 02:55:18 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 25 Aug 2015 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Dec 11 19:52:39 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.